//==========================页面加载时JS函数开始===============================
//输入框显示提示效果，配合CSS运用
$(function() {
    $(".input,.login_input,.textarea").focus(function() {
        $(this).addClass("focus");
    }).blur(function() {
        $(this).removeClass("focus");
    });

    //输入框提示,获取拥有HintTitle,HintInfo属性的对象
    $("[HintTitle],[HintInfo]").focus(function(event) {
        $("*").stop(); //停止所有正在运行的动画
		$("#HintMsg").remove(); //先清除，防止重复出错
        var HintHtml = "<ul id=\"HintMsg\"><li class=\"HintTop\"></li><li class=\"HintInfo\"><b>" + $(this).attr("HintTitle") + "</b>" + $(this).attr("HintInfo") + "</li><li class=\"HintFooter\"></li></ul>"; //设置显示的内容
        var offset = $(this).offset(); //取得事件对象的位置
        $("body").append(HintHtml); //添加节点
        $("#HintMsg").fadeTo(0, 0.85); //对象的透明度
        var HintHeight = $("#HintMsg").height(); //取得容器高度
        $("#HintMsg").css({ "top": offset.top - HintHeight + "px", "left": offset.left + "px" }).fadeIn(500);
    }).blur(function(event) {
        $("#HintMsg").remove(); //删除UL
    });
});

//==========================页面加载时JS函数结束===============================

//===========================系统管理JS函数开始================================

//全选取消按钮函数，调用样式如：
function checkAll(chkobj){
	if($(chkobj).text()=="全选")
	{
		$(chkobj).text("取消");
		$(".checkall input").attr("checked", true);
	}else{
		$(chkobj).text("全选");
		$(".checkall input").attr("checked", false);
	}
}

//===========================系统管理JS函数结束================================

//================上传文件JS函数开始，需和jquery.form.js一起使用===============
//单个文件上传
function SingleUpload(repath, uppath, iswater) {
    var submitUrl="../../Tools/SingleUpload.ashx?ReFilePath="+repath+"&UpFilePath="+uppath;
    //判断是否打水印
    if(arguments.length == 3){
        submitUrl="../../Tools/SingleUpload.ashx?ReFilePath="+repath+"&UpFilePath="+uppath + "&IsWater="+iswater;
    }
    //开始提交
    $("#form1").ajaxSubmit({
        beforeSubmit: function(formData, jqForm, options){
            //隐藏上传按钮
            $("#"+repath).nextAll(".files").eq(0).hide();
            //显示LOADING图片
            $("#"+repath).nextAll(".uploading").eq(0).show();
        },
        success: function(data, textStatus) {
            if (data.msg == 1) {
                $("#"+repath).val(data.msbox);
            } else {
                alert(data.msbox);
            }
            $("#"+repath).nextAll(".files").eq(0).show();
            $("#"+repath).nextAll(".uploading").eq(0).hide();
        },
        error: function(data, status, e) {
            alert("上传失败，错误信息：" + e);
            $("#"+repath).nextAll(".files").eq(0).show();
            $("#"+repath).nextAll(".uploading").eq(0).hide();
        },
        url: submitUrl,
        type: "post",
        dataType: "json",
        timeout: 600000
    });
};
//===========================上传文件JS函数结束================================